Bug 169097 - Review Request: mhash: Hash algorithms library
Review Request: mhash: Hash algorithms library
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-09-22 19:19 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-23 01:57:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-09-22 19:19:13 EDT
Spec Name or Url: http://www.auroralinux.org/people/spot/review/mhash.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/mhash-0.9.2-1.src.rpm

Mhash is a free (under GNU Lesser GPL) library which provides a uniform
interface to a large number of hash algorithms. These algorithms can be used
to compute checksums, message digests, and other signatures.

The HMAC support implements the basics for message authentication, following
RFC 2104. In the later versions some key generation algorithms, which use
hash algorithms, have been added.
Comment 1 Ville Skyttä 2005-09-23 01:57:24 EDT
Already in Extras. 

Note You need to log in before you can comment on or make changes to this bug.